type: google.api.Service
config_version: 3
name: cloudbuild.googleapis.com
title: Cloud Build API

apis:
- name: google.devtools.cloudbuild.v1.CloudBuild

types:
- name: google.devtools.cloudbuild.v1.ArtifactResult
- name: google.devtools.cloudbuild.v1.BuildOperationMetadata
- name: google.devtools.cloudbuild.v1.CreateWorkerPoolOperationMetadata
- name: google.devtools.cloudbuild.v1.DeleteWorkerPoolOperationMetadata
- name: google.devtools.cloudbuild.v1.UpdateWorkerPoolOperationMetadata

documentation:
  summary: Creates and manages builds on Google Cloud Platform.
  overview: |-
    The Cloud Build API lets you to build an application or part of an
    application from source code stored in Cloud Storage, Cloud Source
    Repository, or GitHub, and package it into container images or artifacts.
    The images are then stored in Container Registry and the artifacts are
    stored in Cloud Storage.

backend:
  rules:
  - selector: 'google.devtools.cloudbuild.v1.CloudBuild.*'
    deadline: 5.0
  - selector: google.devtools.cloudbuild.v1.CloudBuild.CreateBuild
    deadline: 60.0
  - selector: google.devtools.cloudbuild.v1.CloudBuild.CreateBuildTrigger
    deadline: 60.0
  - selector: google.devtools.cloudbuild.v1.CloudBuild.ListBuilds
    deadline: 20.0
  - selector: google.devtools.cloudbuild.v1.CloudBuild.RetryBuild
    deadline: 60.0
  - selector: google.devtools.cloudbuild.v1.CloudBuild.RunBuildTrigger
    deadline: 180.0
  - selector: google.longrunning.Operations.CancelOperation
    deadline: 5.0
  - selector: google.longrunning.Operations.GetOperation
    deadline: 5.0

http:
  rules:
  - selector: google.longrunning.Operations.CancelOperation
    post: '/v1/{name=operations/**}:cancel'
    body: '*'
    additional_bindings:
    - post: '/v1/{name=projects/*/locations/*/operations/*}:cancel'
      body: '*'
  - selector: google.longrunning.Operations.GetOperation
    get: '/v1/{name=operations/**}'
    additional_bindings:
    - get: '/v1/{name=projects/*/locations/*/operations/*}'

authentication:
  rules:
  - selector: 'google.devtools.cloudbuild.v1.CloudBuild.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.longrunning.Operations.CancelOperation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.longrunning.Operations.GetOperation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
